name: Build & Deploy

on:
    push:
        branches:
            - main

jobs:
    build-or-sth:
        runs-on: ubuntu-latest
        steps:
            - run: echo "hi!"
            - name: Get hugo
              run: apt update && apt install hugo -y
            - name: Clone repo
              run: git clone --recurse-submodules https://git.emin.software/haxala1r/blog.git --depth=1 .
            - run: pwd
            - run: ls -la
            - name: build
              run: hugo
